### Class

# Foundry DebuggerTrap

#### Description [src]

    abstract class Foundry.DebuggerTrap : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for different types of ways a debugger may stop.

#### Ancestors

- GObject

#### Descendants

- FoundryDebuggerBreakpoint
- FoundryDebuggerCountpoint
- FoundryDebuggerWatchpoint

#### Instance methods

###### foundry_debugger_trap_arm

No description available.

###### foundry_debugger_trap_disarm

No description available.

###### foundry_debugger_trap_dup_id

Gets the identifier for this trap (such as breakpoint number).

###### foundry_debugger_trap_is_armed

No description available.

###### foundry_debugger_trap_remove

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerTrap:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerTrapClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDebuggerTrap* self
      );
      gboolean (* is_armed) (
        FoundryDebuggerTrap* self
      );
      DexFuture* (* arm) (
        FoundryDebuggerTrap* self
      );
      DexFuture* (* disarm) (
        FoundryDebuggerTrap* self
      );
      DexFuture* (* remove) (
        FoundryDebuggerTrap* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDebuggerTrap* self )`

  No description available.

`is_armed: gboolean (* is_armed) ( FoundryDebuggerTrap* self )`

  No description available.

`arm: DexFuture* (* arm) ( FoundryDebuggerTrap* self )`

  No description available.

`disarm: DexFuture* (* disarm) ( FoundryDebuggerTrap* self )`

  No description available.

`remove: DexFuture* (* remove) ( FoundryDebuggerTrap* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerTrapClass.arm

No description available.

###### Foundry.DebuggerTrapClass.disarm

No description available.

###### Foundry.DebuggerTrapClass.dup_id

Gets the identifier for this trap (such as breakpoint number).

###### Foundry.DebuggerTrapClass.is_armed

No description available.

###### Foundry.DebuggerTrapClass.remove

No description available.